Cyberduck Mountain Duck CLI

#8920 closed defect (fixed)

Overwrite prompt always appears for multipart uploads

Reported by: collector Owned by: dkocher
Priority: normal Milestone: 4.7.2
Component: s3 Version: 4.7.1
Severity: normal Keywords: S3 Deleted
Cc: Architecture: Intel
Platform: Mac OS X 10.10

Description

When I delete files on S3 (and they appear to be deleted on S3), then days later upload a file of the same name, CyberDuck/S3 asks if it should Replace the file. Like S3 doesn't know it's deleted. CyberDuck or S3 problem?

Change History (4)

comment:1 Changed on Jul 9, 2015 at 1:50:54 PM by dkocher

  • Milestone set to 4.8
  • Status changed from new to assigned
  • Summary changed from S3 Deleted Files disappear. On new upload CyberDuck asks to replace to Overwrite prompt always appears for multipart uploads

comment:2 Changed on Jul 29, 2015 at 6:50:12 AM by dkocher

Added test in r17981.

comment:3 Changed on Jul 29, 2015 at 7:26:34 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r17984. Delete all pending multipart uploads when file is deleted.

comment:4 Changed on Jul 31, 2015 at 11:49:01 AM by dkocher

  • Milestone changed from 4.8 to 4.7.2
Note: See TracTickets for help on using tickets.
swiss made software